1# Makefile.in generated by automake 1.8.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25INSTALL = @INSTALL@
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
40	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
41	depcomp install-sh missing mkinstalldirs
42ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43am__aclocal_m4_deps = $(top_srcdir)/configure.in
44am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45	$(ACLOCAL_M4)
46am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno configure.status.lineno
48mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
49CONFIG_HEADER = config.h
50CONFIG_CLEAN_FILES =
51SOURCES =
52DIST_SOURCES =
53RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
54	html-recursive info-recursive install-data-recursive \
55	install-exec-recursive install-info-recursive \
56	install-recursive installcheck-recursive installdirs-recursive \
57	pdf-recursive ps-recursive uninstall-info-recursive \
58	uninstall-recursive
59am__installdirs = "$(DESTDIR)$(glmodelsdir)" "$(DESTDIR)$(glmusicdir)" "$(DESTDIR)$(glsoundsdir)" "$(DESTDIR)$(gltexturesdir)"
60glmodelsDATA_INSTALL = $(INSTALL_DATA)
61glmusicDATA_INSTALL = $(INSTALL_DATA)
62glsoundsDATA_INSTALL = $(INSTALL_DATA)
63gltexturesDATA_INSTALL = $(INSTALL_DATA)
64DATA = $(glmodels_DATA) $(glmusic_DATA) $(glsounds_DATA) \
65	$(gltextures_DATA)
66ETAGS = etags
67CTAGS = ctags
68DIST_SUBDIRS = $(SUBDIRS)
69DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70distdir = $(PACKAGE)-$(VERSION)
71top_distdir = $(distdir)
72am__remove_distdir = \
73  { test ! -d $(distdir) \
74    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
75         && rm -fr $(distdir); }; }
76DIST_ARCHIVES = $(distdir).tar.gz
77GZIP_ENV = --best
78distuninstallcheck_listfiles = find . -type f -print
79distcleancheck_listfiles = find . -type f -print
80ACLOCAL = @ACLOCAL@
81AMDEP_FALSE = @AMDEP_FALSE@
82AMDEP_TRUE = @AMDEP_TRUE@
83AMTAR = @AMTAR@
84AUTOCONF = @AUTOCONF@
85AUTOHEADER = @AUTOHEADER@
86AUTOMAKE = @AUTOMAKE@
87AWK = @AWK@
88CC = @CC@
89CCDEPMODE = @CCDEPMODE@
90CFLAGS = @CFLAGS@
91CPP = @CPP@
92CPPFLAGS = @CPPFLAGS@
93CXX = @CXX@
94CXXDEPMODE = @CXXDEPMODE@
95CXXFLAGS = @CXXFLAGS@
96CYGPATH_W = @CYGPATH_W@
97#glbin_PROGRAMS = gl-117
98#gl_117_SOURCES = src/main.cpp src/gl.cpp src/model.cpp src/3ds.cpp src/audio.cpp src/land.cpp src/glland.cpp src/aiobject.cpp src/effects.cpp src/roam.cpp src/net.cpp src/mathtab.cpp src/dirs.cpp
99#noinst_HEADERS =
100DEFS = -I. -I..
101DEPDIR = @DEPDIR@
102ECHO_C = @ECHO_C@
103ECHO_N = @ECHO_N@
104ECHO_T = @ECHO_T@
105EGREP = @EGREP@
106EXEEXT = @EXEEXT@
107INSTALL_DATA = @INSTALL_DATA@
108INSTALL_PROGRAM = @INSTALL_PROGRAM@
109INSTALL_SCRIPT = @INSTALL_SCRIPT@
110INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
111LDFLAGS = @LDFLAGS@
112LIBOBJS = @LIBOBJS@
113LIBS = @LIBS@
114LTLIBOBJS = @LTLIBOBJS@
115MAKEINFO = @MAKEINFO@
116OBJEXT = @OBJEXT@
117PACKAGE = @PACKAGE@
118PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
119PACKAGE_NAME = @PACKAGE_NAME@
120PACKAGE_STRING = @PACKAGE_STRING@
121PACKAGE_TARNAME = @PACKAGE_TARNAME@
122PACKAGE_VERSION = @PACKAGE_VERSION@
123PATH_SEPARATOR = @PATH_SEPARATOR@
124SET_MAKE = @SET_MAKE@
125SHELL = @SHELL@
126STRIP = @STRIP@
127VERSION = @VERSION@
128X_CFLAGS = @X_CFLAGS@
129X_EXTRA_LIBS = @X_EXTRA_LIBS@
130X_LIBS = @X_LIBS@
131X_PRE_LIBS = @X_PRE_LIBS@
132ac_ct_CC = @ac_ct_CC@
133ac_ct_CXX = @ac_ct_CXX@
134ac_ct_STRIP = @ac_ct_STRIP@
135am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
136am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
137am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
138am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
139am__include = @am__include@
140am__leading_dot = @am__leading_dot@
141am__quote = @am__quote@
142bindir = @bindir@
143build_alias = @build_alias@
144datadir = @datadir@
145exec_prefix = @exec_prefix@
146host_alias = @host_alias@
147includedir = @includedir@
148infodir = @infodir@
149install_sh = @install_sh@
150libdir = @libdir@
151libexecdir = @libexecdir@
152localstatedir = @localstatedir@
153mandir = @mandir@
154mkdir_p = @mkdir_p@
155oldincludedir = @oldincludedir@
156prefix = @prefix@
157program_transform_name = @program_transform_name@
158sbindir = @sbindir@
159sharedstatedir = @sharedstatedir@
160sysconfdir = @sysconfdir@
161target_alias = @target_alias@
162AUTOMAKE_OPTIONS = gnu
163SUBDIRS = src
164EXTRA_DIST =
165gl117dir = $(datadir)/gl-117
166glmodelsdir = $(gl117dir)/models
167glmusicdir = $(gl117dir)/music
168glsoundsdir = $(gl117dir)/sounds
169gltexturesdir = $(gl117dir)/textures
170glmodels_DATA = models/*.*
171glmusic_DATA = music/*.*
172glsounds_DATA = sounds/*.*
173gltextures_DATA = textures/*.*
174all: config.h
175	$(MAKE) $(AM_MAKEFLAGS) all-recursive
176
177.SUFFIXES:
178am--refresh:
179	@:
180$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
181	@for dep in $?; do \
182	  case '$(am__configure_deps)' in \
183	    *$$dep*) \
184	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
185	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
186		&& exit 0; \
187	      exit 1;; \
188	  esac; \
189	done; \
190	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
191	cd $(top_srcdir) && \
192	  $(AUTOMAKE) --gnu  Makefile
193.PRECIOUS: Makefile
194Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
195	@case '$?' in \
196	  *config.status*) \
197	    echo ' $(SHELL) ./config.status'; \
198	    $(SHELL) ./config.status;; \
199	  *) \
200	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
201	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
202	esac;
203
204$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
205	$(SHELL) ./config.status --recheck
206
207$(top_srcdir)/configure:  $(am__configure_deps)
208	cd $(srcdir) && $(AUTOCONF)
209$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
210	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
211
212config.h: stamp-h1
213	@if test ! -f $@; then \
214	  rm -f stamp-h1; \
215	  $(MAKE) stamp-h1; \
216	else :; fi
217
218stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
219	@rm -f stamp-h1
220	cd $(top_builddir) && $(SHELL) ./config.status config.h
221$(srcdir)/config.h.in:  $(am__configure_deps)
222	cd $(top_srcdir) && $(AUTOHEADER)
223	rm -f stamp-h1
224	touch $@
225
226distclean-hdr:
227	-rm -f config.h stamp-h1
228uninstall-info-am:
229install-glmodelsDATA: $(glmodels_DATA)
230	@$(NORMAL_INSTALL)
231	test -z "$(glmodelsdir)" || $(mkdir_p) "$(DESTDIR)$(glmodelsdir)"
232	@list='$(glmodels_DATA)'; for p in $$list; do \
233	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
234	  f="`echo $$p | sed -e 's|^.*/||'`"; \
235	  echo " $(glmodelsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(glmodelsdir)/$$f'"; \
236	  $(glmodelsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(glmodelsdir)/$$f"; \
237	done
238
239uninstall-glmodelsDATA:
240	@$(NORMAL_UNINSTALL)
241	@list='$(glmodels_DATA)'; for p in $$list; do \
242	  f="`echo $$p | sed -e 's|^.*/||'`"; \
243	  echo " rm -f '$(DESTDIR)$(glmodelsdir)/$$f'"; \
244	  rm -f "$(DESTDIR)$(glmodelsdir)/$$f"; \
245	done
246install-glmusicDATA: $(glmusic_DATA)
247	@$(NORMAL_INSTALL)
248	test -z "$(glmusicdir)" || $(mkdir_p) "$(DESTDIR)$(glmusicdir)"
249	@list='$(glmusic_DATA)'; for p in $$list; do \
250	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
251	  f="`echo $$p | sed -e 's|^.*/||'`"; \
252	  echo " $(glmusicDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(glmusicdir)/$$f'"; \
253	  $(glmusicDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(glmusicdir)/$$f"; \
254	done
255
256uninstall-glmusicDATA:
257	@$(NORMAL_UNINSTALL)
258	@list='$(glmusic_DATA)'; for p in $$list; do \
259	  f="`echo $$p | sed -e 's|^.*/||'`"; \
260	  echo " rm -f '$(DESTDIR)$(glmusicdir)/$$f'"; \
261	  rm -f "$(DESTDIR)$(glmusicdir)/$$f"; \
262	done
263install-glsoundsDATA: $(glsounds_DATA)
264	@$(NORMAL_INSTALL)
265	test -z "$(glsoundsdir)" || $(mkdir_p) "$(DESTDIR)$(glsoundsdir)"
266	@list='$(glsounds_DATA)'; for p in $$list; do \
267	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
268	  f="`echo $$p | sed -e 's|^.*/||'`"; \
269	  echo " $(glsoundsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(glsoundsdir)/$$f'"; \
270	  $(glsoundsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(glsoundsdir)/$$f"; \
271	done
272
273uninstall-glsoundsDATA:
274	@$(NORMAL_UNINSTALL)
275	@list='$(glsounds_DATA)'; for p in $$list; do \
276	  f="`echo $$p | sed -e 's|^.*/||'`"; \
277	  echo " rm -f '$(DESTDIR)$(glsoundsdir)/$$f'"; \
278	  rm -f "$(DESTDIR)$(glsoundsdir)/$$f"; \
279	done
280install-gltexturesDATA: $(gltextures_DATA)
281	@$(NORMAL_INSTALL)
282	test -z "$(gltexturesdir)" || $(mkdir_p) "$(DESTDIR)$(gltexturesdir)"
283	@list='$(gltextures_DATA)'; for p in $$list; do \
284	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
285	  f="`echo $$p | sed -e 's|^.*/||'`"; \
286	  echo " $(gltexturesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(gltexturesdir)/$$f'"; \
287	  $(gltexturesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(gltexturesdir)/$$f"; \
288	done
289
290uninstall-gltexturesDATA:
291	@$(NORMAL_UNINSTALL)
292	@list='$(gltextures_DATA)'; for p in $$list; do \
293	  f="`echo $$p | sed -e 's|^.*/||'`"; \
294	  echo " rm -f '$(DESTDIR)$(gltexturesdir)/$$f'"; \
295	  rm -f "$(DESTDIR)$(gltexturesdir)/$$f"; \
296	done
297
298# This directory's subdirectories are mostly independent; you can cd
299# into them and run `make' without going through this Makefile.
300# To change the values of `make' variables: instead of editing Makefiles,
301# (1) if the variable is set in `config.status', edit `config.status'
302#     (which will cause the Makefiles to be regenerated when you run `make');
303# (2) otherwise, pass the desired values on the `make' command line.
304$(RECURSIVE_TARGETS):
305	@set fnord $$MAKEFLAGS; amf=$$2; \
306	dot_seen=no; \
307	target=`echo $@ | sed s/-recursive//`; \
308	list='$(SUBDIRS)'; for subdir in $$list; do \
309	  echo "Making $$target in $$subdir"; \
310	  if test "$$subdir" = "."; then \
311	    dot_seen=yes; \
312	    local_target="$$target-am"; \
313	  else \
314	    local_target="$$target"; \
315	  fi; \
316	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
317	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
318	done; \
319	if test "$$dot_seen" = "no"; then \
320	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
321	fi; test -z "$$fail"
322
323mostlyclean-recursive clean-recursive distclean-recursive \
324maintainer-clean-recursive:
325	@set fnord $$MAKEFLAGS; amf=$$2; \
326	dot_seen=no; \
327	case "$@" in \
328	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
329	  *) list='$(SUBDIRS)' ;; \
330	esac; \
331	rev=''; for subdir in $$list; do \
332	  if test "$$subdir" = "."; then :; else \
333	    rev="$$subdir $$rev"; \
334	  fi; \
335	done; \
336	rev="$$rev ."; \
337	target=`echo $@ | sed s/-recursive//`; \
338	for subdir in $$rev; do \
339	  echo "Making $$target in $$subdir"; \
340	  if test "$$subdir" = "."; then \
341	    local_target="$$target-am"; \
342	  else \
343	    local_target="$$target"; \
344	  fi; \
345	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
346	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
347	done && test -z "$$fail"
348tags-recursive:
349	list='$(SUBDIRS)'; for subdir in $$list; do \
350	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
351	done
352ctags-recursive:
353	list='$(SUBDIRS)'; for subdir in $$list; do \
354	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
355	done
356
357ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
358	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
359	unique=`for i in $$list; do \
360	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
361	  done | \
362	  $(AWK) '    { files[$$0] = 1; } \
363	       END { for (i in files) print i; }'`; \
364	mkid -fID $$unique
365tags: TAGS
366
367TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
368		$(TAGS_FILES) $(LISP)
369	tags=; \
370	here=`pwd`; \
371	if (etags --etags-include --version) >/dev/null 2>&1; then \
372	  include_option=--etags-include; \
373	else \
374	  include_option=--include; \
375	fi; \
376	list='$(SUBDIRS)'; for subdir in $$list; do \
377	  if test "$$subdir" = .; then :; else \
378	    test -f $$subdir/TAGS && \
379	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
380	  fi; \
381	done; \
382	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
383	unique=`for i in $$list; do \
384	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
385	  done | \
386	  $(AWK) '    { files[$$0] = 1; } \
387	       END { for (i in files) print i; }'`; \
388	test -z "$(ETAGS_ARGS)$$tags$$unique" \
389	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
390	     $$tags $$unique
391ctags: CTAGS
392CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
393		$(TAGS_FILES) $(LISP)
394	tags=; \
395	here=`pwd`; \
396	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
397	unique=`for i in $$list; do \
398	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
399	  done | \
400	  $(AWK) '    { files[$$0] = 1; } \
401	       END { for (i in files) print i; }'`; \
402	test -z "$(CTAGS_ARGS)$$tags$$unique" \
403	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
404	     $$tags $$unique
405
406GTAGS:
407	here=`$(am__cd) $(top_builddir) && pwd` \
408	  && cd $(top_srcdir) \
409	  && gtags -i $(GTAGS_ARGS) $$here
410
411distclean-tags:
412	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
413
414distdir: $(DISTFILES)
415	$(am__remove_distdir)
416	mkdir $(distdir)
417	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
418	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
419	list='$(DISTFILES)'; for file in $$list; do \
420	  case $$file in \
421	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
422	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
423	  esac; \
424	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
425	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
426	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
427	    dir="/$$dir"; \
428	    $(mkdir_p) "$(distdir)$$dir"; \
429	  else \
430	    dir=''; \
431	  fi; \
432	  if test -d $$d/$$file; then \
433	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
434	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
435	    fi; \
436	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
437	  else \
438	    test -f $(distdir)/$$file \
439	    || cp -p $$d/$$file $(distdir)/$$file \
440	    || exit 1; \
441	  fi; \
442	done
443	list='$(SUBDIRS)'; for subdir in $$list; do \
444	  if test "$$subdir" = .; then :; else \
445	    test -d "$(distdir)/$$subdir" \
446	    || mkdir "$(distdir)/$$subdir" \
447	    || exit 1; \
448	    (cd $$subdir && \
449	      $(MAKE) $(AM_MAKEFLAGS) \
450	        top_distdir="../$(top_distdir)" \
451	        distdir="../$(distdir)/$$subdir" \
452	        distdir) \
453	      || exit 1; \
454	  fi; \
455	done
456	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
457	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
458	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
459	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
460	|| chmod -R a+r $(distdir)
461dist-gzip: distdir
462	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
463	$(am__remove_distdir)
464
465dist-bzip2: distdir
466	$(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
467	$(am__remove_distdir)
468
469dist-tarZ: distdir
470	$(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
471	$(am__remove_distdir)
472
473dist-shar: distdir
474	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
475	$(am__remove_distdir)
476
477dist-zip: distdir
478	-rm -f $(distdir).zip
479	zip -rq $(distdir).zip $(distdir)
480	$(am__remove_distdir)
481
482dist dist-all: distdir
483	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
484	$(am__remove_distdir)
485
486# This target untars the dist file and tries a VPATH configuration.  Then
487# it guarantees that the distribution is self-contained by making another
488# tarfile.
489distcheck: dist
490	case '$(DIST_ARCHIVES)' in \
491	*.tar.gz*) \
492	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
493	*.tar.bz2*) \
494	  bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
495	*.tar.Z*) \
496	  uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
497	*.shar.gz*) \
498	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | unshar ;;\
499	*.zip*) \
500	  unzip $(distdir).zip ;;\
501	esac
502	chmod -R a-w $(distdir); chmod a+w $(distdir)
503	mkdir $(distdir)/_build
504	mkdir $(distdir)/_inst
505	chmod a-w $(distdir)
506	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
507	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
508	  && cd $(distdir)/_build \
509	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
510	    $(DISTCHECK_CONFIGURE_FLAGS) \
511	  && $(MAKE) $(AM_MAKEFLAGS) \
512	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
513	  && $(MAKE) $(AM_MAKEFLAGS) check \
514	  && $(MAKE) $(AM_MAKEFLAGS) install \
515	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
516	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
517	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
518	        distuninstallcheck \
519	  && chmod -R a-w "$$dc_install_base" \
520	  && ({ \
521	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
522	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
523	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
524	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
525	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
526	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
527	  && rm -rf "$$dc_destdir" \
528	  && $(MAKE) $(AM_MAKEFLAGS) dist \
529	  && rm -rf $(DIST_ARCHIVES) \
530	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
531	$(am__remove_distdir)
532	@(echo "$(distdir) archives ready for distribution: "; \
533	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
534	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
535distuninstallcheck:
536	@cd $(distuninstallcheck_dir) \
537	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
538	   || { echo "ERROR: files left after uninstall:" ; \
539	        if test -n "$(DESTDIR)"; then \
540	          echo "  (check DESTDIR support)"; \
541	        fi ; \
542	        $(distuninstallcheck_listfiles) ; \
543	        exit 1; } >&2
544distcleancheck: distclean
545	@if test '$(srcdir)' = . ; then \
546	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
547	  exit 1 ; \
548	fi
549	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
550	  || { echo "ERROR: files left in build directory after distclean:" ; \
551	       $(distcleancheck_listfiles) ; \
552	       exit 1; } >&2
553check-am: all-am
554check: check-recursive
555all-am: Makefile $(DATA) config.h
556installdirs: installdirs-recursive
557installdirs-am:
558	for dir in "$(DESTDIR)$(glmodelsdir)" "$(DESTDIR)$(glmusicdir)" "$(DESTDIR)$(glsoundsdir)" "$(DESTDIR)$(gltexturesdir)"; do \
559	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
560	done
561install: install-recursive
562install-exec: install-exec-recursive
563install-data: install-data-recursive
564uninstall: uninstall-recursive
565
566install-am: all-am
567	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
568
569installcheck: installcheck-recursive
570install-strip:
571	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
572	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
573	  `test -z '$(STRIP)' || \
574	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
575mostlyclean-generic:
576
577clean-generic:
578
579distclean-generic:
580	-rm -f $(CONFIG_CLEAN_FILES)
581
582maintainer-clean-generic:
583	@echo "This command is intended for maintainers to use"
584	@echo "it deletes files that may require special tools to rebuild."
585clean: clean-recursive
586
587clean-am: clean-generic mostlyclean-am
588
589distclean: distclean-recursive
590	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
591	-rm -f Makefile
592distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
593
594dvi: dvi-recursive
595
596dvi-am:
597
598html: html-recursive
599
600info: info-recursive
601
602info-am:
603
604install-data-am: install-glmodelsDATA install-glmusicDATA \
605	install-glsoundsDATA install-gltexturesDATA
606
607install-exec-am:
608
609install-info: install-info-recursive
610
611install-man:
612
613installcheck-am:
614
615maintainer-clean: maintainer-clean-recursive
616	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
617	-rm -rf $(top_srcdir)/autom4te.cache
618	-rm -f Makefile
619maintainer-clean-am: distclean-am maintainer-clean-generic
620
621mostlyclean: mostlyclean-recursive
622
623mostlyclean-am: mostlyclean-generic
624
625pdf: pdf-recursive
626
627pdf-am:
628
629ps: ps-recursive
630
631ps-am:
632
633uninstall-am: uninstall-glmodelsDATA uninstall-glmusicDATA \
634	uninstall-glsoundsDATA uninstall-gltexturesDATA \
635	uninstall-info-am
636
637uninstall-info: uninstall-info-recursive
638
639.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
640	check-am clean clean-generic clean-recursive ctags \
641	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
642	dist-tarZ dist-zip distcheck distclean distclean-generic \
643	distclean-hdr distclean-recursive distclean-tags \
644	distcleancheck distdir distuninstallcheck dvi dvi-am html \
645	html-am info info-am install install-am install-data \
646	install-data-am install-exec install-exec-am \
647	install-glmodelsDATA install-glmusicDATA install-glsoundsDATA \
648	install-gltexturesDATA install-info install-info-am \
649	install-man install-strip installcheck installcheck-am \
650	installdirs installdirs-am maintainer-clean \
651	maintainer-clean-generic maintainer-clean-recursive \
652	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
653	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
654	uninstall-glmodelsDATA uninstall-glmusicDATA \
655	uninstall-glsoundsDATA uninstall-gltexturesDATA \
656	uninstall-info-am
657
658# Tell versions [3.59,3.63) of GNU make to not export all variables.
659# Otherwise a system limit (for SysV at least) may be exceeded.
660.NOEXPORT:
661